> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Session



## OpenAPI

````yaml get /v1/sessions/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}:
    get:
      summary: Get a Session
      operationId: Sessions_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Session'
                  - type: object
                    properties:
                      connectUrl:
                        description: WebSocket URL to connect to the Session.
                        type: string
                        format: uri
                      seleniumRemoteUrl:
                        description: HTTP URL to connect to the Session.
                        type: string
                        format: uri
                      signingKey:
                        description: >-
                          Signing key to use when connecting to the Session via
                          HTTP.
                        type: string
components:
  schemas:
    Session:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        projectId:
          description: The Project ID linked to the Session.
          type: string
        startedAt:
          type: string
          format: date-time
        endedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - ERROR
            - TIMED_OUT
            - COMPLETED
        proxyBytes:
          description: >-
            Bytes used via the
            [Proxy](/features/stealth-mode#proxies-and-residential-ips)
          type: integer
        keepAlive:
          description: >-
            Indicates if the Session was created to be kept alive upon
            disconnections
          type: boolean
        contextId:
          description: Optional. The Context linked to the Session.
          type: string
        region:
          description: The region where the Session is running.
          type: string
          enum:
            - us-west-2
            - us-east-1
            - eu-central-1
            - ap-southeast-1
        userMetadata:
          description: >-
            Arbitrary user metadata to attach to the session. To learn more
            about user metadata, see [User
            Metadata](/features/sessions#user-metadata).
          type: object
          additionalProperties: true
          properties: {}
      required:
        - id
        - createdAt
        - updatedAt
        - projectId
        - status
        - proxyBytes
        - keepAlive
        - region
        - startedAt
        - expiresAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````